@font-face{
  font-family: SF-Pro;
  src: url('SF-Pro.ttf');
}
/* Colores de ECO*/
/*
:root {
    --TextoGeneral: #2A1B3D;
    --fondo: #D8C3A5;
    --fondoMenu: #2ECC71; 
    --fondoTextoMenu: #3498DB;
    --resalta: #9FEDD7;
    --encabezado: #9D9D92;
    --nones: #D9B08C;
    --Color6: #FFCB9A;  
    --pares: #DCD0D1 ;
    --Color6: #FFCB9A;
    --totalFondo: #E8FF00;
    --totalFont:#FF2700;
    --fondoEntrada:#FFFFD9
}
*/
/* Colores de San Antonio*/
/*
:root {
    --TextoGeneral: #2A1B3D;
    --fondo: #FABDA8;
    --fondoMenu: #BCDEF0;
    --fondoTextoMenu: #97CCBC;
    --resalta: #3D9DB0;
    --encabezado: #9D9D92;
    --nones: #AAABC8;
    --pares: #DCD0D1 ;
    --Color6: #ADC1C0;
    --totalFondo: #E8FF00;
    --totalFont:#FF2700;
    --fondoEntrada:#FFFFD9
}
*/

/* Colores de Luxor*/

:root {
    --TextoGeneral: #2A1B3D;
    --fondo: #cdcdcd;
    --fondoMenu: #60afdc; 
    --fondoTextoMenu: #c1f1fc;
    --resalta: #9FEDD7;
    --encabezado: #00a5dc;
    --nones: #f8dfc2;
    --Color6: #e37151;  
    --pares: #edd812 ;
    --totalFondo: #E8FF00;
    --totalFont:#FF2700;
    --fondoEntrada:#FFFFD9
}


*{
  font-family:SF-Pro;
  color: var(--TextoGeneral);
}
*:disabled {
    background-color: darkslategrey;
    color: #2D4159 ;
    opacity: 1;
}
*:enabled {
    background-color: lightyellow;
    color: #03045e;
    opacity: 1;
}

#lineaSuperior {
  text-align:right;
  padding:1px 1px 1px 1px;
  background-color: var(--fondoMenu);
  margin:0px;
}
#lineaMenu {
  text-align:justify;
  padding:1px 1px 1px 1px;
  margin:1px;
}


.divTotal{
  background-color: var(--totalFondo);
  color: var(--totalFont);
  border-radius: 15px;
  padding-left: 1px;
  padding-right: 1px;
  padding-top: 1px;
  padding-bottom: 1px;
  position: fixed;
  font-size: x-large;
}
.textoMenu{
  width:95%;
  padding:3px 3px 3px 3px;
  display:inline-block;
  margin:3px;
  border-radius: 25px;
  color: darkblue;
  background: var(--fondoTextoMenu);
}
#divMenu{
  color: white;
}
#idTablaMenu {
  width: 100%;
  background-color:var(--fondoMenu); /*Color de los bordes*/
  text-align: center;
}
#idTablaMenu th{
  width: 25%;
  background-color:var(--fondoMenu);
  border: none;

}

html {
  background-color: var(--fondo);
  font-family: 'SF-Pro';
  font-weight:normal;
  font-style:normal;
}
body {
  background-image: url("");
/*  background-color:blue;*/
  background-color: var(--fondo) !important;
  margin: 0;
  padding: 0;
  font-family:SF-Pro;
  font-weight:normal;
  font-style:normal;
}
.stripArm, .stripMat, .stripSer{
  background-color: var(--nones) !important;

}
.stripTra,.stripVis,.stripOtr{
  background-color: var(--Color6) !important;

}
.infoCon{
  font-size: 0.7em;
}
button[disabled]:active, button[disabled],
input[type="button"][disabled]:active,
input[type="button"][disabled],
input[type="submit"][disabled]:active,
input[type="submit"][disabled] ,
button[disabled]:hover,
input[type="button"][disabled]:hover,
input[type="submit"][disabled]:hover
{
  border: 2px outset ButtonFace;
  color: #efefd0;
  cursor: inherit;
  background-color: #ddd999;
  background: #ddd999;
}



.tabla0{
  background-color:  #e0e0f0     ;
  vertical-align: bottom;
}
td,tr, table, tbody{
  padding:0px;
  margin:0px;
  border:0px;
  box-sizing: border-box;
  font-family: 'SF-Pro';
}

input {
    margin-top: 5px;
    margin-bottom: 5px;
    display:inline-block;
    *display: inline;     /* for IE7*/
    background: #f28482; color:#f7ede2
}

input, select, textarea{
    color: #efefd0;
}


 label {
        display: inline-block;
        width: 90px;
        text-align: right;
      }
.labelNV {
        display: inline-block;
        width: 80px;
        text-align: right;
      }
 #labelOpcion {
        display: inline-block;
        width: 250px;
        text-align: left;
      }

input[type=number].ROnly, input[type=text].ROnly,textarea:Read-only, input[type=text]:Read-only { background: #d6eaf8; color:#e74c3c }

input[type=text],input[type=number]   {
  background-color: var(--fondoEntrada);
  color: royalblue;
  cursor: not-allowed;

}


#elmError{
  background-color: yellow;
  color: yellow;
  font-weight: bold;
  width: auto;
  text-transform: uppercase;
  font-family: Verdana, Arial, Helvetica, sans-serif;
}

.tablaCatalogo{
  margin-left: auto;
  margin-right: auto;
}
table tbody tr:nth-child(odd) {
  background: var(--fondoTextoMenu);
}
table tbody tr:nth-child(even) {
  background: var(--nones);
  cursor: pointer;
}
table tbody tr{
  cursor: pointer;
  color: black;
  font-weight: bold;
}

table thead {
  color: #fff111;
  font-size: 48px;
}

th {
 top: 0;
   position: sticky;
   background: var(--encabezado);}
thead {
    position: sticky;
    top: 0;
    background: var(--encabezado);}
}

table.tblRX, tbody, td, tr{
  padding:1px;
  margin:1px;
  border:2px;
font-family: 'SF-Pro';
}

table.tblRX {
  width: 95%;
  border: 1px solid black;

}
table.tblRX tr { border: none; }
table.tblRX td {
  border-right: solid 2px black;
  border-left: solid 2px black;
}
table.tblRX, td, tr, th{
  border: 2px solid black;

}
table.tblRX tbody tr:nth-child(odd) {
  background: var(--pares);
}
table.tblRX tbody tr:nth-child(even) {
  background: var(--nones);
  cursor: pointer;
}


#divTabla{
   padding: 0%;
   height: 250px;
   overflow-y: scroll;
    background: var(--encabezado);}

}

.select2.select2-container .select2-selection--multiple .select2-selection__placeholder .select2-selection__choice {
  background-color: yellow  !important;
  border: 1px solid #ccc;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  margin: 4px 4px 0 0;
  padding: 0 6px 0 2px;
  height: 24px;
  line-height: 24px;
  font-size: 12px;
  position: relative;
  color: red  !important;
}

.select2-choice{
  min-height: 35px;
  max-height: 35px;
  background: var(--fondo)  !important;
  overflow-y: auto;
}
.select2-container .select2-dropdown  {
  background: var(--fondoMenu);
  border: none;
  margin-top: 1px;
  color: green  !important;
}

